Bug 1450274 - Move fails on NFS-Ganesha-RGW for nfs version v3.
Summary: Move fails on NFS-Ganesha-RGW for nfs version v3.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.3
Assignee: Matt Benjamin (redhat)
QA Contact: rakesh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-12 06:32 UTC by rakesh
Modified: 2017-07-30 15:56 UTC (History)
8 users (show)

Fixed In Version: RHEL: ceph-10.2.7-18.el7cp Ubuntu: ceph_10.2.7-20redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-19 13:33:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1497 normal SHIPPED_LIVE Red Hat Ceph Storage 2.3 bug fix and enhancement update 2017-06-19 17:24:11 UTC
Ceph Project Bug Tracker 19932 None None None 2017-05-15 21:39:04 UTC

Description rakesh 2017-05-12 06:32:50 UTC
Description of problem:

When trying to move a file on a nfs mount, the move of this file fails. know that the file is created in a base directory(which is a bucket). for ex: 

the mount point is : /mnt/ganesha-mount/

the path of the file is /mnt/ganesha-mount/base_dir0/file0

now when tried to move the file to a different name:

mv file0 file1

i see the following error: 

mv: cannot move ‘file0’ to ‘file1’: Operation not permitted. 

the same happens even using with sudo.

Comment 10 errata-xmlrpc 2017-06-19 13:33:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1497


Note You need to log in before you can comment on or make changes to this bug.